{ pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
  ];

  services = {
    udev.extraRules = ''
      SUBSYSTEM=="usb", ATTRS{idVendor}=="28de", MODE="0666"
      KERNEL=="uinput", MODE="0660", GROUP="input", OPTIONS+="static_mode=uinput"
    '';
  };

  environment.systemPackages = with pkgs; [ xdiskusage ];

  system.stateVersion = "18.09";
}
