{ config, lib, pkgs, ... }:

let
  callPackage = pkgs.callPackage;
in {
  nixpkgs.config = {
    allowUnfree = true;
    mpv.vaapiSupport = (lib.elem "xserver" config.machine.services);

    packageOverrides = {
      theme_flat-remix = callPackage ./flat-remix { };
      theme_sddm_midnight = callPackage ./sddm_midnight { };
      xdiskusage = callPackage ./xdiskusage { };
    };
  };
}
