{ config, lib, pkgs, ... }:

# Note: add privileged users to docker group for access
with lib;

mkIf (elem "docker" config.machine.services) {
  virtualisation.docker.enable = true;
  environment.systemPackages = with pkgs; [ docker-compose docker-machine ];
  ### Docker Image stuff will probably follow here
}
