{ options, config, lib, pkgs, ... }:

with lib;

{
  vHost = let
    nextConf = import (lib.elemAt options.services.nextcloud.nginx.enable.declarations 0) { inherit config lib pkgs; };
  in {
    inherit ((elemAt nextConf.config.content.contents 2).content.services.nginx.virtualHosts.${config.services.nextcloud.hostName}) root extraConfig locations;
    enableACME = config.services.nextcloud.https;
    forceSSL = config.services.nextcloud.https;
  };
}.vHost
