{ config, pkgs, ... }:

{
  i18n = {
    consoleKeyMap = "de";
    defaultLocale = "en_US.UTF-8";

    inputMethod = {
      enabled = if config.services.xserver.enable then "fcitx" else null;
      fcitx.engines = with pkgs.fcitx-engines; [ chewing mozc ];
    };
  };
}
