{ config, lib, ... }:

with lib;

mkIf (elem "zsh" config.machine.conffiles) {
  programs.zsh = {
    enable = true;
    autosuggestions.enable = true;
    syntaxHighlighting.enable = true;
    ohMyZsh = {
      enable = true;
      plugins = [ "cabal" "docker" "gitfast" "python" "pip" "sudo" "systemd" "man" ];
      theme = "gentoo";
    };
  };
}

