{ pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
  ];

  services.cron.enable = false;
  programs.gnome-terminal.enable = true;

  networking.dhcpcd.extraConfig = "noarp";

  environment.systemPackages = with pkgs; [ xdiskusage ];

  system.stateVersion = "19.03";
}
