{
  confPath = ./Leviathan.nix;
  pkgs = [
    "base"
    "emacs"
    "haskell"
    "python3"
    "rustpkgs"
    "xpkgs"
  ];
  services = [
    ../../services/openssh.nix
    ../../services/xserver.nix
  ];
  conf = {
    allowUnfree = true;
    networking = {
      hostName = "Leviathan";
      firewall = {
        allowPing = true;
        allowedUDPPorts = [ 22 ];
        allowedTCPPorts = [];
      };
    };
  };
}
