{ config, lib, ... }:

with lib;

mkIf (elem "emacs::powerline" config.machine.pkgs) {
  programs.emacs.init.usePackage.powerline = {
    enable = true;
    config = ''
      ;; color palette from https://github.com/kuanyui/moe-theme.el/blob/master/moe-theme.el#L283
      (set-face-attribute 'mode-line nil :background "#afd7ff" :foreground "#005f87")
      (set-face-attribute 'mode-line-buffer-id nil :background "#afd7ff" :foreground "#080808")
      (set-face-attribute 'minibuffer-prompt nil :foreground "#5fafd7" :background "#3a3a3a")
      (powerline-default-theme)
    '';
  };
}
