{ pkgs, config, lib, ... }:

with lib;

{
  vHost = if config.services.mailman.enable then {
    locations = {
      "/static/".extraConfig = ''
        alias /var/lib/mailman-web;
      '';
      "/".extraConfig = ''
          uwsgi_pass unix://${config.services.uwsgi.runDir}/mailman-web.sock;
          include ${pkgs.nginx}/conf/uwsgi_params;
      '';
    };
  } else {};
}.vHost
