{
  services.prosody = {
    enable = true;
    admins = [ "derped@ophanim.de" ];
    allowRegistration = false;
    extraConfig = ''
      use_libevent = true
      s2s_require_encryption = true
      c2s_require_encryption = true
    '';

    extraModules = [ "private" "vcard" "privacy" "compression" "component" "muc" "pep" "adhoc" "lastactivity" "admin_adhoc" "blocklist"];

#    modules.legacyauth = false;
    ssl.cert = "/var/lib/acme/ophanim.de/fullchain.pem";    
    ssl.key = "/var/lib/acme/ophanim.de/key.pem";
    virtualHosts = { 
      localhost = { 
        domain = "localhost";
        enabled = true; 
      }; 
      "ophanim.de" = {
        domain = "ophanim.de";
        enabled = true;
      }; 
    };
  };
}
